F25->F26 conflict lz4-libs
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 2 of 2
  1. #1
    Join Date
    Apr 2009
    Posts
    23

    F25->F26 conflict lz4-libs

    updating to F26 via dnf and I get:
    Code:
    Error: Transaction check error:
      file /usr/lib64/liblz4.so.1.8.0 conflicts between attempted installs of lz4-libs-1.8.0-1.fc26.x86_64 and lz4-1.8.0-1.fc26.x86_64
    so I check rpms and I have a 32bit version. maybe that's it
    Code:
    [root@shuttle ~]# rpm -qa | grep lz4
    python2-lz4-0.10.1-1.fc25.x86_64
    lz4-libs-1.8.0-1.fc25.i686
    lz4-1.8.0-1.fc25.x86_64
    lz4-devel-1.8.0-1.fc25.x86_64
    python3-lz4-0.10.1-1.fc25.x86_64
    lz4-libs-1.8.0-1.fc25.x86_64
    But if I try to dnf remove that 32 bit RPM, it wants to remove a whole bunch of 32 bit rpms and wine 64 bit.

    If I just try to rpm -e it I get
    Code:
    [root@shuttle ~]# rpm -e lz4-libs-1.8.0-1.fc25.i686
    error: Failed dependencies:
            liblz4.so.1 is needed by (installed) systemd-libs-231-19.fc25.i686
    So is it safe to do the dnf remove and add those things back if need be? I do use wine, and don't want to lose the custom menus. And it seems a bit dangerous to remove systemd libraries.

  2. #2
    Join Date
    Apr 2009
    Posts
    23

    Re: F25->F26 conflict lz4-libs

    So on my 3rd "maybe this will work this time" try... it worked!

    I saw scrolling by a complaint that an lz4 package (not libs though... ) had the wrong checksum and it was able to download it from another mirror so perhaps the libs suffered that too? Anyway, fixed by act of god not by anything I did.

Similar Threads

  1. MariaDB + mysql-libs Conflict
    By dolphinaura in forum Using Fedora
    Replies: 2
    Last Post: 12th September 2012, 11:50 PM
  2. Update via Yum shows mysql-libs conflict
    By letsyo in forum Using Fedora
    Replies: 6
    Last Post: 20th August 2010, 10:12 AM
  3. Update via Yup shows mysql-libs conflict
    By letsyo in forum Using Fedora
    Replies: 0
    Last Post: 19th August 2010, 10:24 AM
  4. 'yum install wine' gives esound-libs conflict on x86_64
    By kyleki in forum Alpha, Beta & Snapshots Discussions (Fedora 11 Only)
    Replies: 1
    Last Post: 12th March 2009, 02:23 AM
  5. faad2/faad2-libs conflict
    By marie@dk in forum Using Fedora
    Replies: 2
    Last Post: 5th March 2009, 09:44 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •